(* $Id: catpp.ml,v 1.1 2008/03/10 19:10:33 weis Exp $ *)

(* A simple pre-processor example for htmlc. *)

open Scanf.Scanning;;

try
  while true do
(*  prerr_endline "Catpp: reading a line";*)
    if Scanf.Scanning.end_of_input Scanf.Scanning.stdib
      then raise End_of_file else begin
(*    prerr_endline "Catpp: stdib is not empty.";*)
      Scanf.bscanf Scanf.Scanning.stdib "%[^\n]\n" (fun l ->
(*      prerr_endline (Printf.sprintf "Catpp: line %s read." l);*)
        output_string stdout l;
        output_char stdout '\n';
        flush stdout;
(*  prerr_endline (Printf.sprintf "Catpp: line %s written." l); *)
      )
    end
  done
with
| End_of_file ->
(*  prerr_endline "Catpp: finishing.";*)
  exit 0
;;
