(***********************************************************************)
(*                                                                     *)
(*                           Htmlc                                     *)
(*                                                                     *)
(*                    Pierre Weis, INRIA Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 1997-2007,                                               *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: types.mli,v 1.1 2008/11/06 10:29:12 weis Exp $ *)

(** {3 Definition and operations on the Htmlc environment.} *)

type ident = string;;
(** Variables environment to expand into files. *)

type command_name = string;;
(** The name of an operating system command. *)

type htmlc_definitions =
   | Htmlc_environment of Path.file_name
   | Htmlc_bindings of Path.file_name
   | Htmlc_definition of ident * string
;;

